# MemBufFormatTarget Class Reference

Inheritance diagram for MemBufFormatTarget:

List of all members.

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
const XMLByte * | getRawBuffer () const
| Returned the internal raw buffer.
XMLSize_t | getLen () const
| Returned the length of the raw buffer.
constructors and destructor
| MemBufFormatTarget (XMLSize_t initCapacity=1023, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~MemBufFormatTarget ()
reset
void | reset ()
| Reset the internal string buffer.

## Constructor & Destructor Documentation

MemBufFormatTarget::MemBufFormatTarget | ( | XMLSize_t | initCapacity = `1023`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

MemBufFormatTarget::~MemBufFormatTarget | ( |  | ) |

## Member Function Documentation

virtual void MemBufFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[virtual]`

Implements XMLFormatTarget.

const XMLByte* MemBufFormatTarget::getRawBuffer | ( |  | ) | const

Returned the internal raw buffer.

XMLSize_t MemBufFormatTarget::getLen | ( |  | ) | const

Returned the length of the raw buffer.

void MemBufFormatTarget::reset | ( |  | ) |

Reset the internal string buffer.

The documentation for this class was generated from the following file:

- MemBufFormatTarget.hpp